from super_bot import SuperBot
from datetime import datetime
from progress.bar import ChargingBar

bot = SuperBot()

bot.random_sleep(5000, 6000)

#bot.move_mouse(507,565)
inventories = 205

bar = ChargingBar(max=inventories)

for inventory in range(inventories):
    progress = (inventory+1) * 100/inventories
    print(
        f"{datetime.now()}: Inventory {inventory + 1}"
    )
    bar.next()
    print()
    print()
    bot.left_click()
    bot.super_random_sleep(1200, 1300)
    bot.press_key('1')
    bot.super_random_sleep(1200, 1300)
    bot.press_key('1')
    bot.super_random_sleep(1200, 1300)
    bot.press_key(' ')
    bot.super_random_sleep(17_900, 18_100)

bar.finish()
